# Class CIM_IPsecPolicyForEndpoint
extends CIM_Dependency

IPsecPolicyForEndpoint associates a PolicyGroup with a specific IP endpoint. This association's policies take priority over any PolicyGroup defined generically for the hosting system. The latter is defined using the IPsecPolicyForSystem association.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_IPsecPolicyForEndpoint

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | IPsecPolicyForEndpoint associates a PolicyGroup with a specific IP endpoint. This association's policies take priority over any PolicyGroup defined generically for the hosting system. The latter is defined using the IPsecPolicyForSystem association.
MappingStrings | string | IPSP Policy Model.IETF|IPsecPolicyForEndpoint
UMLPackagePath | string | CIM::IPsecPolicy
Version | string | 2.8.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_IPsecPolicyForEndpoint | CIM_IPProtocolEndpoint
Dependent | CIM_IPsecPolicyForEndpoint | CIM_PolicyGroup

## Class Methods